#include "UnitTest.h"
#include <QmainWindow>

#include <qgsmapcanvas.h>
#include <qgsrasterlayer.h>
#include <qgsmaptoolpan.h>
#include "ManualLabelToolWidget.h"
#include "LAMPDataManagerDialog.h"
#include "WindConverTools.h"



void TestManualLabelToolWidget()
{
    ManualLabelToolWidget labeltoolwidget;
    labeltoolwidget.show();
}
 

void TestNc2WindDataTool() {
    QString ncfilepath = u8"D:\\Programs\\SpacetyLabelAIPlante\\Manual-Labeling-Tool\\WindFileData\\data\\total_precipitation202001.nc";
    QString binfilepath = u8"D:\\Programs\\SpacetyLabelAIPlante\\Manual-Labeling-Tool\\WindFileData\\output\\converted_wind_data.bin";
    nc2windataTool* tool=new nc2windataTool(ncfilepath,binfilepath,nullptr);
    tool->Excute();
}



void TestALL()
{
    TestManualLabelToolWidget();
    //TestLampDataManagerWidget();
    //TestNc2WindDataTool();
}